# Class XmlAttributeComponent<T>`Abstract`

#### Type Parameters

- #### T extends object

#### Hierarchy

- BaseXmlComponent
  - XmlAttributeComponent
    - AlignmentAttributes
    - TabAttributes
    - FramePropertiesAttributes
    - TableRowHeightAttributes
    - DocumentAttributes
    - DocGridAttributes
    - PageNumberTypeAttributes
    - SectionTypeAttributes
    - DocumentBackgroundAttributes
    - Attributes
    - FootNoteReferenceRunAttributes
    - VerticalAlignAttributes

- Defined in file/xml-components/default-attributes.ts:9

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new XmlAttributeComponent<T>(root): XmlAttributeComponent <T>

- #### Type Parameters

  - #### T extends object

  #### Parameters

  - ##### root: T

  #### Returns XmlAttributeComponent <T>

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:12

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:16

Generated using TypeDoc